#---------------------------------------------------------------------------
#
#   HIIW - Credits Screen
#
#---------------------------------------------------------------------------

from albow.resource import get_font, resource_path
from albow.music import change_music
from main_commands import HIIWMainCommandScreen

credits_title_font = get_font(36, "Hanshand.ttf")
credits_heading_font = get_font(24, "Hanshand.ttf")
credits_font = get_font(18, "Hanshand.ttf")
credits_tiny_font = get_font(15, "Hanshand.ttf")
credits_color = (0xff, 0xff, 0xff)
credits_top = 60
gap_height = 40

def load_credits():
	f = open(resource_path("text", "credits.txt"), "ru")
	lines = [line.strip() for line in f.readlines()]
	return lines

credits = load_credits()

class Writer(object):

	def __init__(self, surf):
		self.surface = surf
		self.x = surf.get_width() // 2
		self.y = credits_top
	
	def put(self, font, text):
		buf = font.render(text, True, credits_color)
		r = buf.get_rect()
		r.midtop = (self.x, self.y)
		self.surface.blit(buf, r)
		self.y += r.height
	
	def put_heading(self, text):
		self.put(credits_heading_font, text)
	
	def put_credit(self, text):
		self.put(credits_font, text)
	
	def put_tiny(self, text):
		self.put(credits_tiny_font, text)
	
	def gap(self):
		self.y += gap_height

class CreditsScreen(HIIWMainCommandScreen):

	def draw(self, surf):
		w = Writer(surf)
		#w.put(credits_title_font, "Credits")
		#w.gap()
		for line in credits:
			if not line:
				w.gap()
			elif line.startswith("+"):
				w.put_heading(line[1:])
			elif line.startswith("-"):
				w.put_tiny(line[1:])
			else:
				w.put_credit(line)

	def enter_screen(self):
		change_music(self.title_music)

	def return_key(self):
		self.shell.show_main_menu_screen()
