#---------------------------------------------------------------------------
#
#   HIIW - Intro Screen
#
#---------------------------------------------------------------------------

from albow.controls import Label, Button
from albow.layout import Column
from albow.resource import get_image, get_font, get_text, resource_path
from main_commands import HIIWMainCommandScreen

intro_image = get_image("portrait_small.jpeg")
intro_image_topleft =  (80, 100)

intro_text_color = (0xff, 0xff, 0xff)
intro_text_topleft = (300, 100)
intro_font = get_font(18, "Hanshand.ttf")
intro_text = get_text("intro.txt")

class IntroScreen(HIIWMainCommandScreen):

	def __init__(self, *args, **kwds):
		HIIWMainCommandScreen.__init__(self, *args, **kwds)
		text_view = Label(intro_text,
			font = intro_font, fg_color = intro_text_color)
		button = Button("Enter", fg_color = intro_text_color,
			action = self.enter_game)
		contents = Column([text_view, button], align = 'l')
		contents.topleft = intro_text_topleft
		self.add(contents)

	def draw(self, surf):
		image = intro_image
		surf.blit(image, intro_image_topleft)
	
	def enter_game(self):
		self.shell.show_play_screen()

	def return_key(self):
		self.enter_game()
