#---------------------------------------------------------------------------
#
#   HIIW - Main command screen
#
#---------------------------------------------------------------------------

from pygame.locals import *
from albow.music import get_music
from humerus.main_commands import MainCommandScreen
from game import game

class HIIWMainCommandScreen(MainCommandScreen):

	#title_music = get_music("light_of_love.mid")
	#title_music = get_music("o_mistress_mine.mid")
	title_music = get_music("weepomin.mid")

	menu_items = [
		("Help",             'about',              [K_F1, K_h]),
		("New Game",         'new_game',           [K_n]),
		("Load Game...",     'load_game',          [K_o]),
		("Save Game",        'save_game',          [K_s]),
		("Save Game As...",  'save_game_as',       []),
		("Continue",         'resume_game',        []),
		("Options",          'options',            [K_ESCAPE]),
		("Credits",          'credits',            []),
		("Quit",             'quit',               [K_q]),
	]

	def key_down(self, e):
		if e.key == K_RETURN or e.key == K_KP_ENTER:
			self.return_key()
		elif e.key == K_F1:
			self.help_key()
		else:
			MainCommandScreen.key_down(self, e)

	def return_key(self):
		pass
	
	def help_key(self):
		game.toggle_help()
