#---------------------------------------------------------------------------
#
#   HIIW - Obstacles
#
#---------------------------------------------------------------------------

import os
from albow.resource import resource_exists, get_image
from characters import get_character_image, character_known
from dialogues import do_enemy_dialogue, player_alert

class Enemy(object):
	#  name           string   Name of character
	#  challenge      Sample   Challenge quote
	#  response_page  Page     Page containing response quote
	
	def __init__(self, page):
		self.name = page.pre_sample.character
		self.challenge = page.pre_sample
		self.response_page = page
		page.enemy = self
		print "Enemy:", self.name, self.challenge ###
	
	def do_dialogue(self):
		return do_enemy_dialogue(self)
	
	def report_removal(self):
		player_alert("Success! The apparition has departed.")
	
	def get_image(self):
		return get_character_image(self.name)
	
	image = property(get_image)
	
character_images = {}

#def get_character_image(name):
#	image = character_images.get(name)
#	if not image:
#		filename = name.lower().replace(" ", "_") + ".png"
#		if not resource_exists("images", "characters", filename):
#			filename = "default.png"
#		image = get_image("characters", filename)
#		character_images[name] = image
#	return image

def generate_enemy(rnd, items):
	pages = [item for item in items
		if item.kind == 'page' and item.sample.pre_sample and not item.enemy]
	for page in rnd.permute("response", pages):
		page = rnd.choice("response", pages)
		if character_known(page.pre_sample.character):
			return Enemy(page)
 