#---------------------------------------------------------------------------
#
#   HIIW - Extract all character names from plays
#
#---------------------------------------------------------------------------

import os, sys
from cPickle import loads
from zipfile import ZipFile

def do_data(characters, data):
	#print map(type, data)
	#print data[0]
	#print data[1]
	for item in data[2]:
		#print map(type, data)
		#print item[0]
		name = item[0]
		if name.endswith(":"):
			name = name[:-1]
		if "A" <= name[-1:] <= "Z":
			characters.add(name)

def do_play(path):
	print "Reading", path
	characters = set()
	f = ZipFile(path)
	for name in f.namelist():
		if name.startswith("act"):
			data = loads(f.read(name))
			do_data(characters, data)
	names = list(characters)
	names.sort()
	for name in names:
		print name
	inname = os.path.basename(path)
	outname = os.path.splitext(inname)[0] + ".chr"
	g = open(outname, "w")
	for name in names:
		g.write("%s\n" % name)
	g.close()

def main():
	dir = "Game/Resources/plays"
	for name in os.listdir(dir):
		if name.endswith(".zip"):
			do_play(os.path.join(dir, name))

main()
